Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Solidworks 2013- VBA Pack and go

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Solidworks 2013- VBA Pack and go (544 mal gelesen)
JFuks
Mitglied



Sehen Sie sich das Profil von JFuks an!   Senden Sie eine Private Message an JFuks  Schreiben Sie einen Gästebucheintrag für JFuks

Beiträge: 24
Registriert: 20.11.2012

erstellt am: 11. Nov. 2015 09:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


PG.png

 
Hallo zusammen,

ich wollte fragen, wie ich Pack and Go mit VBA anpassen kann. Ich habe diese Hilfe (http://help.solidworks.com/2015/English/api/sldworksapi/Pack_and_Go_an_Assembly_Example_VB.htm) angeschaut und weiß nicht, wie ich nur bestimmte Dateien auswählen kann. Anbei schicke ich noch ein Bild. Dort könnt ihr schauen, wie nur manche Dateien ausgewählt sind, wenn ich Pack and Go manuell mache.

Kann mir bitte jemand weiter helfen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2124
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 11. Nov. 2015 10:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JFuks 10 Unities + Antwort hilfreich

Hallo,

mit der "SetDocumentSaveToNames Method (IPackAndGo)" kannst du die Dokumentliste beinflussen und Dokumente ein bzw. ausschließen.

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

JFuks
Mitglied



Sehen Sie sich das Profil von JFuks an!   Senden Sie eine Private Message an JFuks  Schreiben Sie einen Gästebucheintrag für JFuks

Beiträge: 24
Registriert: 20.11.2012

erstellt am: 11. Nov. 2015 12:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Probiere ich Dankeschön!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wemasb
Mitglied
Quereinsteiger


Sehen Sie sich das Profil von wemasb an!   Senden Sie eine Private Message an wemasb  Schreiben Sie einen Gästebucheintrag für wemasb

Beiträge: 88
Registriert: 10.09.2012

SolidWorks 2014
Office 2010
AutoCAD 2007

erstellt am: 05. Jul. 2018 13:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JFuks 10 Unities + Antwort hilfreich

Hallo,

hat jemand das Problem effektiv lösen können? Ich stehe nämlich vor dem gleichen und komme nicht mit dem was in der API-Hilfe steht klar.

Mfg

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bk.sc
Ehrenmitglied V.I.P. h.c.
Maschinenbautechniker



Sehen Sie sich das Profil von bk.sc an!   Senden Sie eine Private Message an bk.sc  Schreiben Sie einen Gästebucheintrag für bk.sc

Beiträge: 2124
Registriert: 18.07.2012

HP Z400 Workstaion
CPU: Intel Xeon 6x 3,33GHz
GPU: NVIDEA Quadro 2000
RAM: 12 GB DDR3
Win 7 x64
CAD Hauptberuflich
-Solid Works 2014 SP4
-Creo Elements Direct Drafting (ME10)
DMS/PDM
-Pro.File V8 (8.4)
Simulation
-Simufact Forming 11.0
CAD Nebenberuflich
-Pro Engineer WF 3+4
-Creo Parametric 2.0

erstellt am: 06. Jul. 2018 06:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JFuks 10 Unities + Antwort hilfreich

Hallo,

da sich der TA nicht mehr gemeldet hat, hat es entweder funktioniert oder er hat vor Verzweiflung aufgegeben  .
Was ist den dein explizites Problem bzw. was ist deine Fragestellung?

Gruß
Bernd

------------------
--- Man muß nicht alles wissen, man muß nur wissen wo es steht ---

Staatlich anerkannte Deutschniete 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wemasb
Mitglied
Quereinsteiger


Sehen Sie sich das Profil von wemasb an!   Senden Sie eine Private Message an wemasb  Schreiben Sie einen Gästebucheintrag für wemasb

Beiträge: 88
Registriert: 10.09.2012

SolidWorks 2014
Office 2010
AutoCAD 2007

erstellt am: 06. Jul. 2018 07:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JFuks 10 Unities + Antwort hilfreich

Ich habe folgenden Beispiel-Code gefunden:

Sub main()
Set swApp = Application.SldWorks

' Open assembly
openFile = "c:\TEST\Baugruppe1.sldasm"
Set swModelDoc = swApp.OpenDoc6(openFile, swDocASSEMBLY, swOpenDocOptions_Silent, "", errors, warnings)
Set swModelDocExt = swModelDoc.Extension

' Get Pack and Go object
Debug.Print "Pack and Go"
Set swPackAndGo = swModelDocExt.GetPackAndGo

' Get number of documents in assembly
namesCount = swPackAndGo.GetDocumentNamesCount
Debug.Print "  Number of model documents: " & namesCount

' Include any drawings and simulation results
swPackAndGo.IncludeDrawings = True
Debug.Print "  Include drawings: " & swPackAndGo.IncludeDrawings
swPackAndGo.IncludeSimulationResults = True
Debug.Print "  Include simulation results: " & swPackAndGo.IncludeSimulationResults

' Get current paths and filenames of the assembly's documents
status = swPackAndGo.GetDocumentNames(pgFileNames)
Debug.Print ""
Debug.Print "  Current path and filenames: "
If (Not (IsEmpty(pgFileNames))) Then
    For i = 0 To UBound(pgFileNames)
        pgFileNames(i) = StrConv(pgFileNames(i), vbUpperCase)
        Debug.Print "    The path and filename is: " & pgFileNames(i)
    Next i
End If

' Get current save-to paths and filenames of the assembly's documents
status = swPackAndGo.GetDocumentSaveToNames(pgFileNames, pgFileStatus)
Debug.Print ""
Debug.Print "  Current default save-to filenames: "
If (Not (IsEmpty(pgFileNames))) Then
    For i = 0 To UBound(pgFileNames)
        Debug.Print "  The path and filename is: " & pgFileNames(i)
    Next i
End If

' Folder where to save the files
myPath = "c:\TEST\PNG\"

' Create your own filenames for the model's documents
ReDim pgSetFileNames(namesCount - 1)
Debug.Print ""
Debug.Print "  My Pack and Go path and filenames before adding prefix and suffix: "
j = 0
For i = 0 To (namesCount - 1)
    myFileName = pgFileNames(i)
    Debug.Print myFileName
    Debug.Print InStr(LCase(myFileName), LCase("gemeinsame"))
           
    If InStr(LCase(myFileName), LCase("gemeinsame")) = 0 Then
    ' Determine type of SolidWorks file based on file extension
        If InStr(LCase(myFileName), "sldprt") > 0 Or InStr(LCase(myFileName), "sldasm") > 0 Or InStr(LCase(myFileName), "slddrw") > 0 Then
            myFileName = j & Right(myFileName, 7)
        Else
            Exit Sub
        End If
               
        If myFileName = "" Then pgSetFileNames(i) = "" Else pgSetFileNames(i) = myPath & myFileName
        Debug.Print "    My path and filename is: " & pgSetFileNames(i)
        j = j + 1
        Debug.Print pgSetFileNames(i)
    End If
Next i

Debug.Print "Siehst du ist leer: " & pgSetFileNames(3)

' Ensure that any copied drawing references the correct copied part
status = swPackAndGo.SetSaveToName(True, myPath)

' Set document paths and names for Pack and Go
status = swPackAndGo.SetDocumentSaveToNames(pgSetFileNames)

' Verify document paths and filenames after adding prefix and suffix
ReDim pgGetFileNames(namesCount - 1)
ReDim pgDocumentStatus(namesCount - 1)
status = swPackAndGo.GetDocumentSaveToNames(pgGetFileNames, pgDocumentStatus)
Debug.Print ""
Debug.Print "  My Pack and Go path and filenames after adding prefix and suffix: "
For i = 0 To (namesCount - 1)
    Debug.Print "    My path and filename is: " & pgGetFileNames(i)
Next i

' Pack and Go
statuses = swModelDocExt.SavePackAndGo(swPackAndGo)

End Sub


Die Baugruppe1 besteht aus 3 Teilen, 2 davon sind im gleichen Pfad und sollen beim Pack and Go auch mit kopiert werden. Das 3.Teil ist aus unserem selbst erstellten Teile-Archiv, der Pfad beinhaltet das Wort "Vorlage". Ich müsste jetzt also wissen wo in dem Code ich ihm sagen kann "alle Dateien mit dem String "Vorlage" NICHT mit kopieren"

Wenn du oder auch gerne jemand anderes mir das verraten kann könnte ich ruhigen Gewissens in meinen Urlaub fahren 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz